#!/system/bin/sh
AD2SDX_VERSION="1.00-RC01"

######################################################
#                AD2SDX WAITER SCRIPT                #
######################################################
  echo "AD2SDX Waiter Script Version $AD2SDX_VERSION";
  echo "       by AMARULLZ - xda-developers";
  echo "";
  echo "Initializing First Boot...";
  echo "Wait System to Finish the Boot...";

###> Wait For Boot Finished & Dalvik-Cache Initialized
  IS_BOOT_FINISHED="no";
  while [ $IS_BOOT_FINISHED != "yes" ]
  do
    ps | grep com.android.systemui > /dev/null;
    if [ $? = 0 ]; then
        IS_BOOT_FINISHED="yes";
    else
        ###> Even it settled, we wait for 5 seconds ;)
        sleep 5;
    fi
  done;
  sync;

###> Now Create temp data_t
  echo "Switching Data Directory to sd-ext...";
  busybox mkdir /data/data_t
  busybox chown system:system /data/data_t;
  busybox chmod 771 /data/data_t;
  echo "";

###> Create Symlinks of /sd-ext/data_s in /data/data_t
  echo "List Of Data in Internal Memory:";
  echo "================================";
  cd /sd-ext/data_s/
  for i in `ls -d *`;
  do
    ###> Only If Symlink Not Exists
    if [ ! -h /data/data_t/$i ]
    then
  	  busybox ln -s /sd-ext/data_s/$i /data/data_t/$i
  	  echo "   $i";
  	fi;
  done;
  sync;

###> Delete Old Symlink
  echo "";
  echo "Cleaning Up...";
  cd /
  busybox rm /data/data;
  busybox mv /data/data_t /data/data;

###> If Initialized, It don't need 2nd boot...
  busybox touch /data/ad2sdx/init2;
  echo "Completed...";
  sync;
